Package org.linphone.core

# Enum Class EcCalibratorStatus

java.lang.Object
java.lang.Enum<EcCalibratorStatus>
org.linphone.core.EcCalibratorStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<EcCalibratorStatus>`, `Constable`

public enum EcCalibratorStatus extends Enum<EcCalibratorStatus>
Enum describing the result of the echo canceller calibration process.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Done`
The echo canceller calibration has been performed and produced an echo delay
measure.
`DoneNoEcho`
The echo canceller calibration has been performed and no echo has been
detected.
`Failed`
The echo canceller calibration process has failed.
`InProgress`
The echo canceller calibration process is on going.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static EcCalibratorStatus`
`fromInt(int value)`
`protected static EcCalibratorStatus[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(EcCalibratorStatus[] values)`
`static EcCalibratorStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EcCalibratorStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### InProgress

public static final EcCalibratorStatus InProgress
The echo canceller calibration process is on going.

### Done

public static final EcCalibratorStatus Done
The echo canceller calibration has been performed and produced an echo delay
measure.

### Failed

public static final EcCalibratorStatus Failed
The echo canceller calibration process has failed.

### DoneNoEcho

public static final EcCalibratorStatus DoneNoEcho
The echo canceller calibration has been performed and no echo has been
detected.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static EcCalibratorStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EcCalibratorStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static EcCalibratorStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static EcCalibratorStatus[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(EcCalibratorStatus[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()